<template>
    <material-button
        @click="onCopyClick"
        :styles="['mdc-button--outlined']"
    >Copy</material-button>

    <ais-powered-by
</template>

<script>
export default {
    props: {
        dictionary: {
            type: Object,
        },
    },

    methods: {
        onCopyClick() {
            axios.get(`dictionaries/${this.dictionary.id}/phrases`)
                .then(response => {
                    navigator.clipboard.writeText(response.data.phrases.join(`,\n`));

                    this.$toasted.show('Copied csv');
                });
        },
    },
};
</script>
